package com.bocloud.cmp.model.jumpserver;

import com.bocloud.cmp.model.DepartmentBean;

import java.util.Map;

public class RuleTemplate {
    private Long id; //规则模板ID。
    private String name; //模板名称。
    private Long defaultStrategy; //缺省处理策略。0-禁止登录 1-允许登录。
    private Boolean isDefault; //是否缺省，系统在没有选择规则模板时，缺省使用此模板。
    private Boolean isWorksheetDefault; //是否为工单缺省规则，系统同时只能有一个工单缺省规则。
    private DepartmentBean department; //部门
    /**
     * control：会话控制
     * - diskmap：允许客户端磁盘映射 0->不允许；1->允许；
     * - cliptext_max_size：剪贴板长度限制 1 - 2^31-1，默认无限制；
     * - clipboard_up：剪切板 0->都不选；1->上行文件+下行字符；2->仅上行字符；3->仅上行文件；
     * - clipboard_down：剪切板 0->都不选；1->下行文件+下行字符；2->仅下行字符；3->仅下行文件；
     * file_transfer：文件传输权限
     * - upload：1->允许上传；0->不允许上传；
     * - download：1->允许下载；0->不允许下载；
     * - upload_max_size：网盘上传单文件限制（M）1-10240
     * - download_max_size：网盘下载单文件限制（M）1-10240
     * - sftp_upload_max_size：SFTP上传单文件限制（M）1-51200
     * - sftp_download_max_size：SFTP下载单文件限制（M）1-51200
     * event_conf：访问资产时生成事件
     * - level：事件级别
     * -- -1：NONE； 0：EMERGENCY； 1：ALERT； 2：CRITICAL； 3：ERROR；
     * -- 4：WARNING； 5：NOTICE； 6：INFORMATIONAL； 7：DEBUG；
     * - title：事件标题
     */
    private Map<String, Map<String, Object>> confs; //高级权限配置。

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getDefaultStrategy() {
        return defaultStrategy;
    }

    public void setDefaultStrategy(Long defaultStrategy) {
        this.defaultStrategy = defaultStrategy;
    }

    public Boolean getIsDefault() {
        return isDefault;
    }

    public void setIsDefault(Boolean isDefault) {
        this.isDefault = isDefault;
    }

    public Boolean getIsWorksheetDefault() {
        return isWorksheetDefault;
    }

    public void setIsWorksheetDefault(Boolean isWorksheetDefault) {
        this.isWorksheetDefault = isWorksheetDefault;
    }

    public void setConfs(Map<String, Map<String, Object>> confs) {
        this.confs = confs;
    }

    public Map<String, Map<String, Object>> getConfs() {
        return confs;
    }

    public DepartmentBean getDepartment() {
        return department;
    }

    public void setDepartment(DepartmentBean department) {
        this.department = department;
    }
}
